<?php
@ini_set('allow_url_fopen', '1');

require_once('./_settings.php');
require_once('./_core.php');

define('SMARTY_DIR', './layout/_smarty/');
require_once(SMARTY_DIR.'Smarty.class.php');
$smarty = new Smarty();
$smarty->template_dir = './layout/';
$smarty->compile_dir = './layout/_compile/';
$smarty->cache_dir = './layout/_cache/';
$smarty->caching = false;
$smarty->error_reporting = E_ALL;

$system_info['buyer_name'] = adm_buyer_name;
$system_info['buyer_email'] = adm_buyer_email;
$smarty->assign('system_info', $system_info);

require_once('./lib/messages.class.php');
$messages = new messages();
$hideForm = false;
require_once('./_db-ac.php');

function creatTable($name,$structure)
{
	global $admMysql, $messages;

	$query = mysqli_query($admMysql, "CREATE TABLE `".adm_dbPrefix.$name."` (
												".$structure."
												) ENGINE=MyISAM DEFAULT CHARSET=utf8");
	if ($query)
		$messages->addDetails('Utworzenie tabeli '.$name.': powodzenie!');
	else
		$messages->addDetails('Utworzenie tabeli '.$name.': <br />'.mysqli_error($admMysql));
	return $query;
}


function upgrade()
{
	global $admMysql, $messages, $hideForm;

	if (empty($_POST['accept'])) return $messages->add('ALERT','Zaakceptuj warunki licencji!');

	if (empty($_POST['upgrade-password'])) return $messages->add('ALERT','Wypełnij pole hasło!');

	$password = admFilter($_POST['upgrade-password']);
	$query = mysqli_query($admMysql, "SELECT `password` FROM `".adm_dbPrefix."accounts` WHERE `login`='admin' LIMIT 1");
	$r = mysqli_fetch_assoc($query);
	if (md5($password) != $r['password']) return $messages->add('ERORR','Niepoprawne hasło!');

	$messages->add('INFO','Postęp aktualizacji:');

	$mkd = @mkdir('./upload/windows/');

	if (!$mkd)
		$messages->addDetails('Katalog upload/windows: <br />już zaktualizowano');
	else
		$messages->addDetails('Katalog upload/windows: powodzenie!');

	creatTable('accounts_password','id MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
							account MEDIUMINT UNSIGNED UNIQUE,
							hash VARCHAR(32)');

	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners` ADD `advancedStatistics` TINYINT(1) DEFAULT 0 AFTER `dateEdit`");
	if (!$query)
		$messages->addDetails('Tabela baners: <br />'.mysqli_error($admMysql));
	else
		$messages->addDetails('Tabela baners: powodzenie!');

	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners_areas` ADD `maxWidth` SMALLINT DEFAULT 486 AFTER `proportion`,
												ADD `maxHeight` SMALLINT DEFAULT 60 AFTER `maxWidth`");
	if (!$query)
		$messages->addDetails('Tabela baners_areas: <br />'.mysqli_error($admMysql));
	else
		$messages->addDetails('Tabela baners_areas: powodzenie!');

	creatTable('baners_views', 'id MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
							baner MEDIUMINT UNSIGNED,
							ip INT(11) UNSIGNED NOT NULL,
							date DATETIME');

	creatTable('baners_clicks', 'id MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
							baner MEDIUMINT UNSIGNED,
							ip INT(11) UNSIGNED NOT NULL,
							date DATETIME');

	$query = mysqli_query($admMysql, "SHOW COLUMNS FROM `".adm_dbPrefix."clients` LIKE 'ban'");
	if (mysqli_num_rows($query) == 1)
	{
		mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."clients` SET `ban`=4 WHERE `ban`=1");
		mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."clients` SET `ban`=1 WHERE `ban`=0");
		$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."clients` CHANGE `ban` `powers` TINYINT(1) DEFAULT 1 AFTER `email`");
		if (!$query)
			$messages->addDetails('Tabela clients: <br />'.mysqli_error($admMysql));
		else
			$messages->addDetails('Tabela clients: powodzenie!');
	}
	else
	{
		$messages->addDetails('Tabela clients: <br />już zaktualizowano');
	}

	$query = mysqli_query($admMysql, "RENAME TABLE `".adm_dbPrefix."new_password` TO `".adm_dbPrefix."clients_password`");
	if (!$query)
		$messages->addDetails('Tabela clients_password: <br />'.mysqli_error($admMysql));
	else
		$messages->addDetails('Tabela clients_password: powodzenie!');

	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links` ADD `advancedStatistics` TINYINT(1) DEFAULT 0 AFTER `dateEdit`");
	if (!$query)
		$messages->addDetails('Tabela links: <br />'.mysqli_error($admMysql));
	else
		$messages->addDetails('Tabela links: powodzenie!');

	creatTable('links_clicks', 'id MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
							link MEDIUMINT UNSIGNED,
							ip INT(11) UNSIGNED NOT NULL,
							date DATETIME');

	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."windows` ADD `advancedStatistics` TINYINT(1) DEFAULT 0 AFTER `dateEdit`");
	if (!$query)
		$messages->addDetails('Tabela windows: <br />'.mysqli_error($admMysql));
	else
		$messages->addDetails('Tabela windows: powodzenie!');

	creatTable('windows_views', 'id MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
							window MEDIUMINT UNSIGNED,
							ip INT(11) UNSIGNED NOT NULL,
							date DATETIME');

	// poniżej od wersji 3.1

	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."windows` CHANGE `users` `views` MEDIUMINT UNSIGNED DEFAULT 0");
	if (!$query)
		$messages->addDetails('Tabela windows: <br />'.mysqli_error($admMysql));
	else
		$messages->addDetails('Tabela windows: powodzenie!');

	$query = mysqli_query($admMysql, "SHOW COLUMNS FROM `".adm_dbPrefix."windows` LIKE 'cappingValue'");
	if (mysqli_num_rows($query) == 0)
	{
		$query = mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."windows` SET `model`=`model`+1");
		if (!$query)
			$messages->addDetails('Tabela windows: <br />'.mysqli_error($admMysql));
		else
			$messages->addDetails('Tabela windows: powodzenie!');
	}
	else
	{
		$messages->addDetails('Tabela windows: <br />już zaktualizowano');
	}

	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."windows` ADD `cappingValue` MEDIUMINT UNSIGNED DEFAULT 1 AFTER `views`,
												ADD `cappingPer` TINYINT(1) DEFAULT 0 AFTER `cappingValue`");
	if (!$query)
		$messages->addDetails('Tabela windows: <br />'.mysqli_error($admMysql));
	else
		$messages->addDetails('Tabela windows: powodzenie!');

	// poniżej od wersji 3.3

	creatTable('windows_areas','id SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
							name VARCHAR(255) UNIQUE');

	$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."windows_areas` WHERE id = 1 LIMIT 1");
	if (mysqli_num_rows($query) == 0)
	{
		$query = mysqli_query($admMysql, "INSERT INTO ".adm_dbPrefix."windows_areas (name) VALUES ('Główna')");
		if ($query)
			$messages->addDetails('Utworzenie głównej strefy okienek: powodzenie!');
		else
			$messages->addDetails('Utworzenie głównej strefy okienek: <br />'.mysqli_error($admMysql));
	}

	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."windows` ADD `area` MEDIUMINT UNSIGNED DEFAULT 1 AFTER `powers`");
	if ($query)
		$messages->addDetails('Tabela windows: powodzenie!');
	else
		$messages->addDetails('Tabela windows: <br />'.mysqli_error($admMysql));



	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links_areas` ADD `templateArea` TEXT AFTER `proportion`");
	if ($query)
		$messages->addDetails('Tabela links_areas: powodzenie!');
	else
		$messages->addDetails('Tabela links_areas: <br />'.mysqli_error($admMysql));

	$query = mysqli_query($admMysql, "SHOW COLUMNS FROM `".adm_dbPrefix."links_areas` LIKE 'template'");
	if (mysqli_num_rows($query) == 1)
	{
		mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."links_areas` SET `templateArea`='{strefa}'");
		if (!$query)
			$messages->addDetails('Tabela links_areas: <br />'.mysqli_error($admMysql));
		else
			$messages->addDetails('Tabela links_areas: powodzenie!');
	}
	else
	{
		$messages->addDetails('Tabela clients: <br />już zaktualizowano');
	}
	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links_areas` CHANGE `template` `templateLink` TEXT");
	if ($query)
		$messages->addDetails('Tabela links_areas: powodzenie!');
	else
		$messages->addDetails('Tabela links_areas: <br />'.mysqli_error($admMysql));
	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links_areas` DROP `display`");
	if ($query)
		$messages->addDetails('Tabela links_areas: powodzenie!');
	else
		$messages->addDetails('Tabela links_areas: <br />'.mysqli_error($admMysql));
	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links_areas` ADD `limit` TINYINT NOT NULL DEFAULT '0' AFTER `templateLink`");
	if ($query)
		$messages->addDetails('Tabela links_areas: powodzenie!');
	else
		$messages->addDetails('Tabela links_areas: <br />'.mysqli_error($admMysql));
	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links_areas` ADD `sort` TINYINT NOT NULL DEFAULT '0' AFTER `limit`");
	if ($query)
		$messages->addDetails('Tabela links_areas: powodzenie!');
	else
		$messages->addDetails('Tabela links_areas: <br />'.mysqli_error($admMysql));




	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners_areas` ADD `templateArea` TEXT AFTER `proportion`");
	if ($query)
		$messages->addDetails('Tabela baners_areas: powodzenie!');
	else
		$messages->addDetails('Tabela baners_areas: <br />'.mysqli_error($admMysql));

	$query = mysqli_query($admMysql, "SHOW COLUMNS FROM `".adm_dbPrefix."baners_areas` LIKE 'template'");
	if (mysqli_num_rows($query) == 1)
	{
		mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."baners_areas` SET `templateArea`='{strefa}'");
		if (!$query)
			$messages->addDetails('Tabela baners_areas: <br />'.mysqli_error($admMysql));
		else
			$messages->addDetails('Tabela baners_areas: powodzenie!');
	}
	else
	{
		$messages->addDetails('Tabela baners_areas: <br />już zaktualizowano');
	}
	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners_areas` CHANGE `template` `templateBaner` TEXT");
	if ($query)
		$messages->addDetails('Tabela baners_areas: powodzenie!');
	else
		$messages->addDetails('Tabela baners_areas: <br />'.mysqli_error($admMysql));
	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners_areas` DROP `display`");
	if ($query)
		$messages->addDetails('Tabela baners_areas: powodzenie!');
	else
		$messages->addDetails('Tabela baners_areas: <br />'.mysqli_error($admMysql));
	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners_areas` ADD `limit` TINYINT NOT NULL DEFAULT '0' AFTER `templateBaner`");
	if ($query)
		$messages->addDetails('Tabela baners_areas: powodzenie!');
	else
		$messages->addDetails('Tabela baners_areas: <br />'.mysqli_error($admMysql));
	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners_areas` ADD `sort` TINYINT NOT NULL DEFAULT '0' AFTER `limit`");
	if ($query)
		$messages->addDetails('Tabela baners_areas: powodzenie!');
	else
		$messages->addDetails('Tabela baners_areas: <br />'.mysqli_error($admMysql));


	// poniżej od wersji 3.3.2
	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners_areas` ADD `encoding` VARCHAR(255) DEFAULT 'UTF-8' AFTER `name`");
	if ($query)
		$messages->addDetails('Tabela baners_areas: powodzenie!');
	else
		$messages->addDetails('Tabela baners_areas: <br />'.mysqli_error($admMysql));

	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links_areas` ADD `encoding` VARCHAR(255) DEFAULT 'UTF-8' AFTER `name`");
	if ($query)
		$messages->addDetails('Tabela links_areas: powodzenie!');
	else
		$messages->addDetails('Tabela links_areas: <br />'.mysqli_error($admMysql));


	// poniżej od wersji 3.4.0

	@rename("./~settings.php", "./_settings.php");
	@unlink('./~core.php');
	@unlink('./~db.php');
	@unlink('./~db-ac.php');

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."baners` WHERE Column_name = 'client'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners` ADD INDEX (`client`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."baners` WHERE Column_name = 'area'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners` ADD INDEX (`area`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."baners` WHERE Column_name = 'model'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners` ADD INDEX (`model`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."baners` WHERE Column_name = 'active'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners` ADD INDEX (`active`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."baners_clicks` WHERE Column_name = 'baner'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners_clicks` ADD INDEX (`baner`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."baners_views` WHERE Column_name = 'baner'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners_views` ADD INDEX (`baner`)");


	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."links` WHERE Column_name = 'client'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links` ADD INDEX (`client`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."links` WHERE Column_name = 'area'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links` ADD INDEX (`area`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."links` WHERE Column_name = 'model'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links` ADD INDEX (`model`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."links` WHERE Column_name = 'active'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links` ADD INDEX (`active`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."links_clicks` WHERE Column_name = 'link'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."links_clicks` ADD INDEX (`link`)");


	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."windows` WHERE Column_name = 'client'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."windows` ADD INDEX (`client`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."windows` WHERE Column_name = 'area'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."windows` ADD INDEX (`area`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."windows` WHERE Column_name = 'model'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."windows` ADD INDEX (`model`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."windows` WHERE Column_name = 'active'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."windows` ADD INDEX (`active`)");

	$query = mysqli_query($admMysql, "SHOW INDEXES FROM `".adm_dbPrefix."windows_views` WHERE Column_name = 'window'");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."windows_views` ADD INDEX (`window`)");


	$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."baners_areas` WHERE id = 1 LIMIT 1");
	if (mysqli_num_rows($query) == 0) mysqli_query($admMysql, "INSERT INTO ".adm_dbPrefix."baners_areas (name,templateArea,templateBaner) VALUES ('Główna','{strefa}','{baner}')");


	//poniżej od wersji 3.4.1
	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."accounts_password` RENAME `".adm_dbPrefix."accounts_passwords`");
	if ($query)
		$messages->addDetails('Tabela accounts_passwords: powodzenie!');
	else
		$messages->addDetails('Tabela accounts_passwords: <br />'.mysqli_error($admMysql));
	mysqli_query($admMysql, "DROP TABLE `".adm_dbPrefix."accounts_password`");

	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."clients_password` RENAME `".adm_dbPrefix."clients_passwords`");
	if ($query)
		$messages->addDetails('Tabela clients_passwords: powodzenie!');
	else
		$messages->addDetails('Tabela clients_passwords: <br />'.mysqli_error($admMysql));
	mysqli_query($admMysql, "DROP TABLE `".adm_dbPrefix."clients_password`");


	//poniżej od wersji 3.5.0
	
	creatTable('settings','id SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY, name VARCHAR(255) UNIQUE, value VARCHAR(255)');
	$query = mysqli_query($admMysql, "SELECT * FROM `".adm_dbPrefix."settings` WHERE id = 1 LIMIT 1");
	if (mysqli_num_rows($query) == 0)
		mysqli_query($admMysql, "INSERT INTO ".adm_dbPrefix."settings (name,value) VALUES ('dbVersion','".adm_version."')");


	//poniżej od wersji 3.5.4

	$query = mysqli_query($admMysql, "ALTER TABLE `".adm_dbPrefix."baners` ADD `cappingValue` MEDIUMINT UNSIGNED DEFAULT 0 AFTER `clicks`,
												ADD `cappingPer` TINYINT(1) DEFAULT 0 AFTER `cappingValue`");
	if (!$query)
		$messages->addDetails('Tabela baners: <br />'.mysqli_error($admMysql));
	else
		$messages->addDetails('Tabela baners: powodzenie!');

		
	mysqli_query($admMysql, "UPDATE `".adm_dbPrefix."settings` SET `value` = '".adm_version."' WHERE id = 1");

	$messages->addDetails('<p><a href="admin.php">Kliknij aby się zalogować!</a></p>');
	$hideForm = true;

	$vpro = (adm_pro == true) ? 'pro' : '';
	$url = 'http://jinteractive.pl/sc/x-register-upgrade-3.php?id='.@constant('adm_buyer_id').'&s='.adm_buyer_serial.'&e='.@constant('adm_buyer_email').'&v='.adm_version.$vpro.'&sn='.$_SERVER['SERVER_NAME'].'&uri='.$_SERVER['REQUEST_URI'].'&ip='.$_SERVER['REMOTE_ADDR'].'&hash='.adm_hash;

	$file = @file_get_contents($url);
	if (!$file)
	{
		$c = @curl_init();
		@curl_setopt($c, CURLOPT_URL, $url);
		@curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
		@curl_exec($c);
		@curl_close($c);
	}
}
if (isset($_POST['upgrade'])) upgrade();

$messages->done();
$smarty->assign('hideForm', $hideForm);
$smarty->display('admin-upgrade.tpl');
?>