<div class="box w700" id="tabbox">
	<div class="tabs">
		<a href="#" class="focus">Pomoc</a>
		<a href="#">FAQ</a>
		<a href="#">Licencja</a>
		<a href="#">Kontakt</a>
		<div class="line"></div>
	</div>

	<div class="tabpanels" style="line-height:18px;">
		<div class="tabpanel">
			<h2>Informacje o systemie</h2>
			<ul class="si">
				<li><label>Wersja php:</label> {$system_info.php_version}</li>
				<li><label>Wersja mysql:</label> {$mysql_version}</li>
				<li><label>Czas:</label> <span title="{$smarty.now|date_format:"%T %A, %e %B, %Y"}">{$smarty.now|date_format:"%T %d.%m.%Y"}</span> &nbsp; ({$system_info.timezone})</li>
				<li><label>Wersja systemu:</label> {$system_info.version}{if $system_info.beta}beta{/if}{if $system_info.pro}<sup>pro</sup>{/if}</li>
				<li><label>User agent:</label> {$smarty.server.HTTP_USER_AGENT}</li>
				<li><label>Właściciel licencji:</label> {$system_info.buyer_name} {$system_info.buyer_email}</li>
			</ul>
			<h2>Wymagania</h2>
			<ul>
				<li>Zalecane
					<ul>
						<li>PHP 7.4, baza danych MySQL, min. 10MB powierzchni dyskowej</li>
					</ul>
				</li>
				<li>Minimalne
					<ul>
						<li>PHP 5, baza danych MySQL, min. 5MB powierzchni dyskowej</li>
					</ul>
				</li>
			</ul>

			<h2>Struktura systemu</h2>
			System składa się z dwóch części: panelu administratora i panelu klienta.
			<ul>
				<li>panel administratora - pod adresem <a href="admin.php">admin.php</a>, służy do zarządzania systemem, konfiguracji, dodawania i edytowania reklam oraz klientów</li>
				<li>panel klienta - pod adresem <a href="client.php">client.php</a>, umożliwia podgląd reklam oraz ich statystyk a także edycję reklam przez klienta</li>
			</ul>

			<h2>Instalacja</h2>
			<ul>
				<li>Używając klienta FTP np. Total Commander prześlij wszystkie pliki na serwer.</li>
				<li>
					Upewnij się, że poniższe katalogi i pliki posiadają uprawnienia do zapisu plików.
					<ul>
						<li>katalog w którym znajduje się system</li>
						<li>katalog upload</li>
						<li>katalog upload\windows</li>
						<li>katalog layout\_compile</li>
					</ul>
				</li>
				<li>Uruchom przeglądarkę internetową i wpisz adres do pliku admin.php na twoim serwerze.</li>
				<li>Postępują zgodnie ze wskazówkami instalatora.</li>
				<li>Gdy instalacja zakończy się pomyślnie możesz zalogować się do systemu za pomocą loginu <i>admin</i> oraz przejść do etapu integracji systemu ze stroną.</li>
			</ul>

			<h2>Aktualizacja</h2>
			Instalacja aktualizacji odbywa się półautomatycznie poprzez wbudowany w system mechanizm.
			Przejdź na stronę Zarządzaj / Aktualizacja, następnie kliknij na Sprawdź - nastąpi sprawdzenie czy jest dostępna nowa wersja.
			W przypadku dostępności nowej wersji będzie możliwa opcja Aktualizuj, po jej kliknięciu nastąpi proces automatycznej instalacji.
			Gdyby proces zakończył się niepowodzeniem albo z błędami należy skontaktować się z administratorem.

			<h2>Przejście z wersji 2 do 3 / Ręczna aktualizacja</h2>
			Usuń wszystkie pliki i katalogi z twojego serwera oprócz:
			<ul style="margin: 0px;">
				<li>plik ~settings.php</li>
				<li>katalog upload</li>
			</ul>
			Zmień nazwę pliku ~settings.php na _settings.php następnie wgraj nowe pliki i wpisz w przeglądarkę internetową adres pliku <a href="admin-upgrade.php">admin-upgrade.php</a>, wprowadź hasło Super Administratora i kliknij na Aktualizuj po czym nastąpi konwersja bazy danych do pracy z nową wersją.
			Operacja jest nieodwracalna to znaczy, że po dokonaniu aktualizacji nie będzie można korzystać z systemu w wersji 2 na tej samej bazie danych.

			<h2>Integracja systemu ze stroną</h2>
			Aby poszczególne reklamy były wyświetlane należy poniżej wymienione pliki załączyć do strony za pomocą jednej z trzech wymienionych metod.
			<ul>
				<li>
					Moduł banery - plik show-baners.php, w dowolnej części sekcji body, ze zmienną o nazwie $admAreaId z przypisanym numerem
					id strefy banerów. Jeśli chcesz aby banery były wyświetlane w kilku miejscach na stronie dodaj nową strefę wykorzystując formularz w panelu 
					administracyjnym i wstaw drugi kod ze zmienionym numerem id strefy. Numer 1 to główna strefa utworzona automatycznie podczas instalacji systemu.<br />
					<br />
					<i>wykorzystując PHP, podaj numer strefy oraz względną ścieżkę do pliku, przykład:</i>
					<p class="code">
						&lt;?php<br />
							&#8195;$admAreaId = 1;<br />
							&#8195;include('.{$system_info.relative_path}show-baners.php');<br />
						?&gt;
					</p>
					<i>wykorzystując PHP dla szablonów Smarty, podaj numer strefy oraz względną ścieżkę do pliku, przykład:</i>
					<p class="code">
						{ldelim}php{rdelim}<br />
							&#8195;$admAreaId = 1;<br />
							&#8195;include('.{$system_info.relative_path}show-baners.php');<br />
						{ldelim}/php{rdelim}
					</p>
					<i>wykorzystując JavaScript, podaj bezwzględną ścieżkę do pliku z parametrem admJS i numerem strefy, przykład:</i>
					<p class="code">
						<br />
						&lt;script type="text/javascript" src="{$system_info.path}show-baners.php?admJS&amp;admAreaId=1"&gt;&lt;/script&gt;<br />
						<br />
					</p>
				</li>
				<li>
					Moduł linki tekstowe - plik show-links.php, w dowolnej części sekcji body, ze zmienną o nazwie $admAreaId z przypisanym numerem
					id strefy banerów. Jeśli chcesz aby banery były wyświetlane w kilku miejscach na stronie dodaj nową strefę wykorzystując formularz w panelu 
					administracyjnym i wstaw drugi kod ze zmienionym numerem id strefy. Numer 1 to główna strefa utworzona automatycznie podczas instalacji systemu.<br />
					<br />
					<i>wykorzystując PHP, podaj numer strefy oraz względną ścieżkę do pliku, przykład:</i>
					<p class="code">
						&lt;?php<br />
							&#8195;$admAreaId = 1;<br />
							&#8195;include('.{$system_info.relative_path}show-links.php');<br />
						?&gt;
					</p>
					<i>wykorzystując PHP dla szablonów Smarty, podaj numer strefy oraz względną ścieżkę do pliku, przykład:</i>
					<p class="code">
						{ldelim}php{rdelim}<br />
							&#8195;$admAreaId = 1;<br />
							&#8195;include('.{$system_info.relative_path}show-links.php');<br />
						{ldelim}/php{rdelim}
					</p>
					<i>wykorzystując JavaScript, podaj bezwzględną ścieżkę do pliku z parametrem admJS i numerem strefy, przykład:</i>
					<p class="code">
						<br />
						&lt;script type="text/javascript" src="{$system_info.path}show-links.php?admJS&amp;admAreaId=1"&gt;&lt;/script&gt;<br />
						<br />
					</p>
				</li>
				<li>
					Moduł wyskakujące okienka - plik show-windows.php, na końcu sekcji head<br />
					<br />
					<i>wykorzystując PHP, podaj numer strefy oraz względną ścieżkę do pliku, przykład:</i>
					<p class="code">
						&lt;?php<br />
							&#8195;$admAreaId = 1;<br />
							&#8195;include('.{$system_info.relative_path}show-windows.php');<br />
						?&gt;
					</p>
					<i>wykorzystując PHP dla szablonów Smarty, podaj numer strefy oraz względną ścieżkę do pliku, przykład:</i>
					<p class="code">
						{ldelim}php{rdelim}<br />
							&#8195;$admAreaId = 1;<br />
							&#8195;include('.{$system_info.relative_path}show-windows.php');<br />
						{ldelim}/php{rdelim}
					</p>
					<i>wykorzystując JavaScript, podaj bezwzględną ścieżkę do pliku z parametrem admJS i numerem strefy, przykład:</i>
					<p class="code">
						<br />
						&lt;script type="text/javascript" src="{$system_info.path}show-windows.php?admJS&amp;admAreaId=1"&gt;&lt;/script&gt;<br />
						<br />
					</p>
				</li>
			</ul>
			<h2>Znane problemy</h2>
			<ul>
				<li>
					Brak polskich znaków w linkach i opisie banera
					<ul><li>Należy w ustawieniach każdej strefy wybrać odpowiednie kodowanie znaków.</li></ul>
				</li>
				<li>
					Nie można wgrać plików za pomocą uploadu
					<ul><li>Należy sprawdzić uprawnienia folderu upload.</li></ul>
				</li>
				<li>
					Podczas zapisu ustawień występuje błąd
					<ul><li>Plik _settings.php powinien mieć przyznane uprawnienia do zapisu.</li></ul>
				</li>
				<li>
					Gdy załączamy reklamy z wykorzystaniem kodu JavaScript, reklama alternatywna może nie działać.
						<ul><li>Jeśli kodem alternatywnym jest JavaScript pamiętaj o tym aby nie posiadał on w sobie jednolinijkowych komentarzy tj. rozpoczętych od // dzieje się tak ponieważ system przetwarza kod do jednej linii.</li></ul>
				</li>
				<li>
					Po włączeniu opóźnienie zliczenia odsłony dla wyskakującego okienka w ogóle nie są liczone wyświetlenia.
					<ul><li>Może się tak zdarzyć jeśli strona docelowa posiada zabezpieczenie przed ramkami.</li></ul>
				</li>
				<li>
					Występują błędy banera pływającego typu kod HTML/JavaScript gdy reklamy są załączane metodą JavaScript
					<ul><li>Należy zastosować inną metodą załączania reklam.</li></ul>
				</li>
				<li>
					Wyświetla się błąd typu Parse error: syntax error, unexpected \'{ldelim}\' in /_core.php on line 118
					<ul><li>Należy przełączyć wersję PHP na 5.</li></ul>
				</li>
			</ul>
			<h2>Zaawansowane statystyki</h2>
			Po włączeniu opcji zaawansowanych statystyk system zacznie zbierać szczegółowe dane na temat wyświetleń i kliknięć - 
			adres ip użytkownika, rodzaj akcji oraz dokładną datę. Ze względu na ilość gromadzonych danych, opcja ta wymaga dużej przestrzeni w&nbsp;bazie danych.
			Prezentowane wyliczenia w formie graficznej lub tekstowej mogą się różnić pomiędzy zwykłymi a&nbsp;zaawansowanymi statystykami, jeśli opcja tych drugich została włączona lub wyłączona w trakcie trwania kampanii.
			Klientowi są udostępniane wyłącznie tekstowe zaawansowane statystyki z podziałem na poszczególne dni - bez numerów ip i dokładnych godzin występowania akcji.
			Ta opcja nie powoduje zmiany sposobu rozpoznawania użytkowników - nadal użytkownicy będą rozpoznawani poprzez pliki cookie.
			Funkcja jest dostępna tylko w wersji pro.

			<h2>Zmiana wyglądu panelu klienta</h2>
			Wygląd panelu klienta można dostosować poprzez wskazanie w Ustawieniach adresu do nowego loga oraz kolejnego arkusza css.
			Zgodnie z postanowieniami licencji nie ma możliwości edycji oryginalnego kodu html i css,
			ponadto zakaz ten jest związany z serwowaniem automatycznych aktualizacji.
		</div>

		<div class="tabpanel">
			<h2>OGÓLNE</h2>
			<h3>Do czego służy system ad_master?</h3>
			System ad_master służy do zarządzania i wyświetlania reklam w postaci linków, banerów i wyskakujących okienek. Ponadto tworzy bazę klientów i ułatwia z nimi kontakt. 

			<h3>Czy za pomocą  systemu można obsługiwać reklamy na kilku witrynach?</h3>
			Tak można, na nieogranicznej liczbie! Wykorzystaj do tego strefy - dzieląc reklamy na poszczególne strony i załączenie reklam za pomocą kodu JavaScript. 

			<h3>Czy system będzie współpracować z moją stroną?</h3>
			Ad_master został zaprojektowany tak aby poprawnie współpracował z większością stron. Użytkownikom do dyspozycji zostały oddane aż trzy metody załączania reklam do strony - PHP, Smarty i JavaScript.  

			<h3>Czy mogę wyświetlać linki bezpośrednie w moim zapleczu pozycjonerskim?</h3>
			Tak. Wykorzystaj do tego specjalną metodę załączania reklam poprzez funkcje php readfile() lub file_get_contents() podając bezwzględna ścieżkę i parametr z numerem strefy.
			<b>UWAGA!</b> Metody te w pełni nie wspierają wszystkich funkcji systemu dlatego nie korzystaj z nich do standardowego wyświetlania reklam!<br />
			<i>Przykłady:</i>
			<p class="code">
				&lt;?php<br />
					&#8195;readfile('.{$system_info.path}show-links.php?admAreaId=1');<br />
				?&gt;
			</p>
			lub
			<p class="code">
				&lt;?php<br />
					&#8195;echo file_get_contents('.{$system_info.path}show-links.php?admAreaId=1');<br />
				?&gt;
			</p>

			<h3>W jaki sposób system rozpoznaje użytkowników?</h3>
			System do rozpoznawania użytkowników używa mechanizmu cookie.
			Każde kliknięcie - w baner lub link - jest zliczane raz na jednego unikalnego użytkownika w ciągu 24 godzin.
			W przypadku wyskakujących okienek jedna odsłona tej reklamy jest traktowana jako unikalne skierowanie jednego użytkownika.
			Jeśli przeglądarka nie akceptuję cookie unikalne kliknięcia czy skierowania użytkowników nie są zliczane.

			<h3>Czy możliwe jest dodanie reklamy przy pustej bazie klientów?</h3>
			Tak. System nie wymaga aby przydzielać reklamy do poszczególnych klientów.

			<h3>Co to są modele emisyjne i czym się różnią?</h3>
			Model emisyjny zakłada w jaki sposób będzie następowało rozliczenie za emisję reklamy. 
			<ul>
				<li>CPM (Cost Per Mille) - koszt za tysiąc, w tym modelu podstawą rozliczenia jest 1000 odsłon danej formy reklamowej.</li>
				<li>
					CPU (Cost Per User) - koszt na użytkownika, ten model określa zrealizowanie konkretnej liczby skierowań unikalnych użytkowników
					poprzez kliknięć w kreację reklamową, która zaprzestanie być wyświetlana w chwili osiągnięcia zamierzonych skierowań.
				</li>
				<li>CPD (Cost Per Day) lub FF (Flat Fee) - koszt na dzień, opłata za z góry określony czas emisji reklamy.</li>
				<li>ATT (All The Time) - wykorzystując ten model reklama będzie wyświetlana nieprzerwanie od daty startu kampanii</li>
			</ul>

			<h2>STREFY</h2>
			<h3>Do czego służą strefy?</h3>
			Dzięki strefom system może wyświetlać reklamy typu baner, link, wyskakujące okienko w kilku miejscach na stronie lub na różnych stronach.
			Na przykład  jeśli chcesz emitować banery w nagłówku witryny i w treści artykułów dodaj dwie strefy i nazwij je tak abyś mógł  je łatwo rozpoznać np. jedna o nazwie „nagłówek” druga „artykuł”. Następnie wstaw na stronę kody odpowiedzialne za wyświetlanie reklam z odpowiednimi numerami stref(patrz Pomoc/Integracja skryptu ze stroną). Od teraz przy dodawaniu reklam wystarczy, że wybierzesz odpowiednia strefę a reklama będzie wyświetlany we wskazanym miejscu. 

			<h3>Co to jest kod alternatywny?</h3>
			W sytuacji gdy system nie będzie miał nic do wyświetlenia (np. wszystkie reklamy w danej strefie zakończą swoją emisję) zostanie wyświetlona reklama alternatywna. Może ona mieć dowolna formę - akceptowany jest kod HTML, CSS i JavaScript. Przykłady zastosowania reklamy alternatywnej: baner graficzny zachęcający do wykupienia reklamy „To miejsce czeka na twoją reklamę!”; reklamy innych wydawców np. Google AdSense, Adkontekst itp. 

			<h3>Co to jest proporcja wyświetlania kodu alternatywnego i jak działa?</h3>
			Ta funkcja służy do sterowania częstotliwością wyświetlania reklamy alternatywnej. Ustawiając tą wartość na 0% kod alternatywny będzie wyświetlany tylko wtedy gdy w systemie nie będzie aktywnych reklam dla danej strefy. Ustawiając ją pomiędzy 10-90% reklama alternatywna będzie emitowana w ustalonej proporcji na przemian z reklamami aktywnymi w danej strefie. Wybierając 100% będzie wyświetlana tylko reklama alternatywna.

			<h3>W jaki sposób mogę wyświetlać reklamy rotacyjnie?</h3>
			Aby wyświetlać banery lub linki sposobem rotacyjnym należy ustawić w edycji danej strefy limit wyświetlanych banerów lub linków na 1 oraz
			sortowanie na losowe. 

			<h2>BANERY</h2>
			<h3>Jak działa baner pływający?</h3>
			Baner pływający będzie podążał wraz z tym jak użytkownik przewija stronę w dół lub górę. Wówczas baner jest bardziej widoczny a co za tym idzie współczynnik CTR się zwiększa.
			Użytkownik może zamknąć reklamę klikając w czerwony krzyżyk - wówczas baner powróci na swoją pierwotną pozycję. Opcja działa przy włączonej obsłudze JavaScript.

			<h3>Jak system zlicza kliknięcia w banery typu Flash?</h3>
			Aby system mógł zliczać kliknięcia w banery typu Flash to pliki .swf muszą być odpowiednio przygotowane.
			Kreacja musi mieć warstwę z przyciskiem (button), na którym zdefiniowana jest akcja:
			<p class="code">
				on (release)<br />
				{ldelim}<br />
				&#8195;getURL(_root.clickTAG, "_blank");<br />
				{rdelim}
			</p>
			Wielkość liter clickTAG ma znaczenie! Adres strony docelowej definiuje się w panelu administracyjnym.
			<br />
			Uniwersalny kod, przygotowujący reklamę pod systemy zarządzania reklamą jak i do bezpośredniego zastosowania na stronach: 
			<p class="code" style="max-height: 400px;">
				on (release)<br />
				{ldelim}<br />
				&#8195;if (_root.clickTAG.substr(0,4) == "http") {ldelim}<br />
				&#8195;&#8195;getURL(_root.clickTAG, "_blank");<br />
				&#8195;{rdelim} else {ldelim}<br />
				&#8195;&#8195;getURL("adres_strony_docelowej", "_blank");<br />
				&#8195;{rdelim}<br />
				{rdelim}
			</p>
			Gdzie w nawisach zamiast adres_strony_docelowej podać adres strony reklamowanej np. http://reklama.pl

			<h2>WYSKAKUJĄCE OKIENKA</h2>
			<h3>Typy okienka popup/popunder, czym się różnią?</h3>
			Okienko popup zostanie wyświetlone na pierwszym planie, nad wszystkimi oknami przeglądarki.
			Natomiast okienko popunder zostanie wyświetlone w tle (pod aktywnym okenem przeglądarki) - uwaga, wyjątki! -
			w niektórych przeglądarkach popunder może być wyświetlony jako popup albo jako nowa karta, jeśli ustawienia przeglądarki blokują możliwość
			przenoszenia okien na wierzch i spód albo gdy ustawiono wymuszenie otwierania strony w nowej karcie.

			<h3>Co to jest omijanie popublokerów?</h3>
			Dzięki tej opcji popup lub popunder zostanie otwarty bez zgodny użytkownika mimo aktywnych funkcji, które blokują wyskakujące okienka.
			Przeglądarki na których przetestowano tę opcję i stwierdzono skuteczność przy standardowych ustawieniach pod systemem Windows:
			<ul>
				<li>Internet Explorer 9 i starsze</li>
				<li>Mozilla Firefox 18 i starsze</li>
				<li>Google Chrome 24 i starsze</li>
				<li>Opera 12.12 i starsze</li>
				<li>Safari 5.1 i starsze</li>
			</ul>

			<h3>Co to jest opóźnienie zliczenia odsłony?</h3>
			Dzięki tej funkcji można określić po jakim czasie(liczonym w sekundach) od otworzenia okienka zostanie zliczona unikalna odsłona dla danej reklamy.

			<h3>Co to jest capping?</h3>
			Capping to ograniczenie liczby emisji reklamy na jednego użytkownika w określonym czasie - na 24 godziny, 7 dni lub 30 dni.

			<h3>Kiedy użytkownik nie zobaczy wyskakującego okienka?</h3>
			Istnieje kilka przyczyn:
			<ul>
				<li>Jego przeglądarka nie akceptuje cookie albo ma wyłączoną obsługę języka JavaScript.</li>
				<li>Funkcje blokowania wyskakujących okienek została przestawiona na wyższy stopień zabezpieczeń niż standardowy lub zastosowano inne, skuteczniejsze zabezpieczenia niż te wbudowane w przeglądarkę internetową.</li>
				<li>Użytkownikowi została wyemitowana maksymalna liczba emisji danej reklamy przewidzianej zgodnie z konfiguracją caaping.</li>
			</ul>

		</div>

		<div class="tabpanel">
			<p><b>Właściciel licencji:</b> {$system_info.buyer_name} {$system_info.buyer_email}</p>
			{include file='license.tpl' assign='license'}
			{$license|nl2br}
		</div>

		<div class="tabpanel c w500">
			<div class="info_small">
				Wiadomości o temacie Zgłoszenie błędu lub Opinie i sugestie mogą pozostać bez odpowiedzi, jednak wszystkie przesłane wiadomości będą analizowane.
				Aktualizacje manualną, można otrzymać tylko w przypadku, gdy warunki techniczne uniemożliwiają przeprowadzenie aktualizacji automatycznej.
				<u>Pomoc techniczna</u> jest dostępna tylko dla klientów, którzy zakupili wersję <u>PRO</u>.
			</div>

			<iframe name="contactTarget" src="#" style="display:none;border:0px solid #fff;"></iframe>
			<form method="post" action="http://jinteractive.pl/sc/x-contact-3.php" target="contactTarget" id="contact_form">
				<ul>
					<li><label>Od:</label>{$system_info.buyer_email} <input type="hidden" name="from" value="{$system_info.buyer_email}" /></li>
					<li>
						<label>Temat:</label>
						<select name="title" id="title">
							<option value="Zgłoszenie błędu">Zgłoszenie błędu</option>
							<option value="Opinie i sugestie">Opinie i sugestie</option>
							<option value="Aktualizacja">Aktualizacja</option>
							<option value="Pomoc techniczna"{if $system_info.pro == false} disabled="disabled"{/if}>Pomoc techniczna</option>
						</select>
					</li>
					<li><label>Treść:</label>
						<textarea name="content" id="content" rows="10" cols="3"></textarea>
						<input type="hidden" name="system_info" value="Wersja php: {$system_info.php_version} Wersja systemu: {$system_info.version}{if $system_info.pro}pro{/if} Ścieżka: {$system_info.path}" />
					</li>
				</ul>
				<div class="form_action1"><input type="submit" name="sendMail" id="send_mail" value="Wyślij" {if $powers==false}disabled="disabled"{/if} /></div>
			</form>
		</div>
	</div>
</div>

<script type="text/javascript">
var TabBox = new TabBox('tabbox');
help.prepare();
</script>