<?php
@set_time_limit(120);
error_reporting(E_ALL);
header('Content-Type: application/json');

class Gate
{
	public $version = '2.3.2';
	public function status($status, $number, $httpCode, $text, $output)
	{
		$data['v'] = $this->version;
		$data['php'] = @phpversion();
		$data['http2'] = (@defined("CURL_HTTP_VERSION_2_0")) ? 1 : 0;
		$data['http3'] = (@defined("CURL_HTTP_VERSION_3_0")) ? 1 : 0;
		$data['tcpFastOpen'] = (@defined("CURLOPT_TCP_FASTOPEN")) ? 1 : 0;
		$data['status'] = $status;
		$data['number'] = $number;
		$data['httpCode'] = $httpCode;
		$data['text'] = $text;
		$data['output'] = $output;
		echo json_encode($data);
		exit;
	}

	public function ip($data)
	{
		$output = $this->getURL($data, true);
		$this->status('success', '', 200, '', json_decode($output));
		exit;
	}

	public function getSearchResults($data)
	{
		if ($data['mobile']) $data['id'] .= 'm';
		$cookie = dirname(__FILE__) ."/tmp/".$data['id']." cookies.txt";

		@unlink($cookie);

		if (!isset($data['header']))
		{
			$data['header'] = array('Host: www.'.$data['host'],
															'User-Agent: '.$data['ua'],
															'Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8',
															'Accept-Language: '.$data['ac'].'en-US;q=0.7,en;q=0.3',
															'DNT: 1',
															'Connection: keep-alive',
															'Cache-Control: max-age=0');
		}

		$c = curl_init();
		curl_setopt($c, CURLOPT_HTTPHEADER, $data['header']);
		curl_setopt($c, CURLOPT_URL, 'https://www.'.$data['host'].'/ncr');
		curl_setopt($c, CURLOPT_COOKIESESSION, true);
		curl_setopt($c, CURLOPT_COOKIEJAR, $cookie);
		curl_setopt($c, CURLOPT_COOKIEFILE, $cookie);
		curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
		foreach($data['options'] as $option => $value)
		{
			@curl_setopt($c, constant($option), $value);
		}
		$output = curl_exec($c);
		$httpCode = curl_getinfo($c, CURLINFO_HTTP_CODE);
		if (curl_errno($c)) $this->status('error', curl_errno($c), $httpCode, curl_error($c), $output);

		curl_setopt($c, CURLOPT_URL, $data['url']);
		$output = curl_exec($c);
		$httpCode = curl_getinfo($c, CURLINFO_HTTP_CODE);
		if (curl_errno($c)) $output .= 'ERROR CURL '. curl_errno($c) .' '. curl_error($c);

		curl_close($c);

		@unlink($cookie);

		http_response_code($httpCode);
		die($output);
	}

	public function getURL($data, $return=false)
	{
		$c = curl_init();
		if (isset($data['header'])) curl_setopt($c, CURLOPT_HTTPHEADER, $data['header']);
		curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
		if (isset($data['options']))
		{
			foreach($data['options'] as $option => $value)
			{
				@curl_setopt($c, constant($option), $value);
			}
		}
		curl_setopt($c, CURLOPT_URL, $data['url']);
		$output = curl_exec($c);
		$httpCode = curl_getinfo($c, CURLINFO_HTTP_CODE);
		if (curl_errno($c)) $output .= 'ERROR CURL '. curl_errno($c) .' '. curl_error($c);
		curl_close($c);
		if ($return)
		{
			return $output;
		}
		else
		{
			http_response_code($httpCode);
			die($output);
		}
	}

	public function update($data)
	{
		if (!empty($data['file'])) file_put_contents('./g.class.php', stripslashes(trim($data['file'])));
		else if (!empty($data['url'])) 
		{
			$file = file_get_contents($data['url']);
			if ($file) file_put_contents('./g.class.php', $file);
		}
		$this->status('success', '', 200, '', '');
	}
}

if (@$_GET['hash'] == 'f12f07d968060d733d841f363fc7dd54')
{
	$gate = new Gate();
	if ($_GET['action'] == 'getSearchResults') $gate->getSearchResults($_POST);
	if ($_GET['action'] == 'getURL') $gate->getURL($_POST);
	if ($_GET['action'] == 'update') $gate->update($_POST);
	if ($_GET['action'] == 'status') $gate->status('success', '', 200, '', '');
	if ($_GET['action'] == 'ip') $gate->ip($_POST);
}
?>