<?php
class uploader
{
	private $dir, $status, $accepted_formats, $name, $type, $size, $dimension;

	public $check_exist, $change_name, $new_namem, $max_size;

	function __construct($dir='./upload/',$check_exist=false,$max_size=2048000)
	{
		$this->dir = $dir;
		$this->check_exist = $check_exist;
		$this->change_name = false;
		$this->new_name = '';
		$this->max_size = $max_size;
		$this->status = 900;
		$this->accepted_formats = array('image/jpeg','image/gif','image/png','application/x-shockwave-flash'); 
		//dla IE
		$this->accepted_formats[] = 'image/pjpeg';
		$this->accepted_formats[] = 'image/x-png';
		//
	}

	private function remove_pl($text)
	{
		$text = mb_strtolower($text, 'UTF-8');
		$text = trim($text);
		$text = str_replace(array('Ę','Ó','Ą','Ś','Ł','Ż','Ź','Ć','Ń','ę','ó','ą','ś','ł','ż','ź','ć','ń',' '),
												array('E','O','A','S','L','Z','Z','C','N','e','o','a','s','l','z','z','c','n','_'), $text);
		$text = preg_replace('/[^a-z0-9\-\.\_]+/i', '', $text);
		$text = preg_replace('/[\_]{2,}/i', '_', $text);
		return $text;
	}

	function accepted_formats($formats)
	{
		if (is_array($formats))
		{
			foreach($formats as $format) $this->accepted_formats[] = $format;
		}
		else
		{
			$this->accepted_formats[] = $formats;
		}
	}

	public function file_info()
	{
		return array('status'=>$this->status,
									'name'=>$this->name,
									'type'=>$this->type,
									'size'=>$this->size,
									'dimension'=>$this->dimension);
	}

	public function send()
	{
		if (!is_uploaded_file($_FILES['file']['tmp_name']))
		{
			return $this->status = 100; //Plik nie wgrany
		}

		$this->name = $_FILES['file']['name'];
		$this->type = $_FILES['file']['type'];
		$this->size = $_FILES['file']['size'];

		if ($this->change_name == true && $this->new_name != '')
		{
   		$this->name = $this->new_name . substr($_FILES['file']['name'],-4);
		}
		$this->name = $this->remove_pl($this->name);

		if ($this->check_exist == true)
		{
			if (file_exists($this->dir . $this->name) == true) return $this->status = 200; //Plik istnieje
		}

		$continue = false;
		foreach($this->accepted_formats as $format)
		{
			if ($this->type == $format) $continue = true;
		}
		if ($continue == false) return $this->status = 300; //Nieakceptowany format

		if ($this->size > $this->max_size) return $this->status = 400; //Plik jest za duży

		if (@move_uploaded_file($_FILES['file']['tmp_name'], $this->dir . $this->name))
		{
			$this->status = 600;
			$this->dimension = @getimagesize($this->dir . $this->name);
		}
		else
		{
			$this->status = 500;
		}
	}
}
?>